# Uses of Class
org.apache.commons.math3.random.RandomDataImpl

Packages that use RandomDataImpl
Package
Description
org.apache.commons.math3.distribution
Implementations of common discrete and continuous distributions.
org.apache.commons.math3.random
Random number and random data generators.

## Uses of RandomDataImpl in org.apache.commons.math3.distribution

Fields in org.apache.commons.math3.distribution declared as RandomDataImpl
Modifier and Type
Field
Description
`protected final RandomDataImpl`
AbstractIntegerDistribution.`randomData`
Deprecated.
As of 3.1, to be removed in 4.0.
`protected RandomDataImpl`
AbstractRealDistribution.`randomData`
Deprecated.
As of 3.1, to be removed in 4.0.

## Uses of RandomDataImpl in org.apache.commons.math3.random

Constructors in org.apache.commons.math3.random with parameters of type RandomDataImpl
Modifier
Constructor
Description
``
`EmpiricalDistribution(int binCount, RandomDataImpl randomData)`
Deprecated.
As of 3.1.
``
`EmpiricalDistribution(RandomDataImpl randomData)`
Deprecated.
As of 3.1.
``
`ValueServer(RandomDataImpl randomData)`
Deprecated.
use `ValueServer(RandomGenerator)`